Name: kdar
Version: 2.0.1
Release: alt1

Summary: Backup and Restore Utility

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: File tools
Url: http://kdar.sourceforge.net/

Source: %name-%version.tar.bz2

# manually removed: gcc-g77 kde-i18n-ru qt3-designer boson 
# Automatically added by buildreq on Fri Mar 04 2005
BuildRequires: fontconfig freetype2 gcc-c++ hostinfo kde-settings kdelibs-devel libarts-devel libdar-devel libdnet-devel libjpeg-devel libpng-devel libqscintilla-designer libqt3-devel libqt3-settings libssl-devel libstdc++-devel xml-utils xorg-x11-devel xorg-x11-libs zlib-devel

%description
KDar uses libdar and supports its features, like incremental backups or
backups using different media. It can also handle filesystem attributes
like ACL and use filter rules.

%prep
%setup -q
%__subst "s/\.la/\.so/g" configure

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh
%configure	--disable-rpath \
       		--disable-debug \
			--enable-final
make

%post
%update_menus

%postun
%clean_menus

%install
make DESTDIR=$RPM_BUILD_ROOT install

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl "%name" "Applications/File tools" \
    %buildroot%_datadir/applnk/Utilities/%name.desktop \
    %buildroot%_menudir/%name


%find_lang %name --with-kde

%files -f %name.lang
%_bindir/*
%_datadir/icons/hicolor/*/*/*
%_datadir/icons/locolor/*/*/*
%_datadir/*/*/*.desktop
%_datadir/apps/kdar
%_menudir/*

%changelog
* Fri Mar 04 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1
- first build for ALT Linux Sisyphus
